# =====================================================
# TestStudent.py: Exercise methods in Student class ...
# 
# Written by: Mark Austin                 November 2022
# =====================================================

from Student import Student

# main method ...

def main():
    print("--- Enter TestStudents.main()             ... ");
    print("--- ===================================== ... ");

    print("--- Part 1: Create student Angela Austin ...")

    y = Student( "Angela", "Austin", 2023)
    y.setAge(20)
    y.setSSN(1234)

    print("--- Part 2: Retrieve student parameters ...")

    print("---  First Name: %s" % ( y.getFirstName() ) )
    print("---  Last Name: %s" % ( y.getLastName() ) )
    print("---  Age = %d" % ( y.getAge() ) )
    print("---  Social Security Number = %d" % ( y.getSSN() ) )
    print("---  Is student: %s" % ( y.isStudent() ) )

    print("--- Part 3: String representation of student ...")

    print( y.__str__() )

    print("--- ===================================== ... ");
    print("--- Finished TestStudents.main()          ... ");

# call the main method ...

main()
