# ============================================================
# Student.py: A Student is a specialization of Person ...
# ============================================================

from Person import Person

class Student(Person):

   # Example of a parameterized constructor ...

   def __init__(self, fname, lname, year):
     Person.__init__(self, fname, lname)
     self._graduationyear = year

   # Boolean to confirm person is a student ...

   def isStudent(self):  
      return True

   # String represention of student ...

   def __str__(self):
       return "--- Student: %s %s, age = %d, graduation year = %d " % (
               self._firstname, self._lastname, self._age, self._graduationyear )
